%define upstream_name    Pod-Weaver-PluginBundle-MARCEL
%define upstream_version 1.102460

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Build POD documentation like MARCEL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Section::Availability)
BuildRequires: perl(Pod::Weaver::Section::BugsAndLimitations)
BuildRequires: perl(Pod::Weaver::Section::Installation)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
This is the bundle used by default for my distributions. It is nearly
equivalent to the following:

    [@CorePrep]

    [Name]
    [Version]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.102.460-11.mga10
+ Revision: 2200330
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.102.460-10.mga9
+ Revision: 1805396
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.102.460-9.mga8
+ Revision: 1496766
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.102.460-8.mga7
+ Revision: 1270741
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.102.460-7.mga6
+ Revision: 1032340
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.102.460-6.mga6
+ Revision: 947759
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.102.460-5.mga5
+ Revision: 742151
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.102.460-3.mga4
+ Revision: 514286
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.102.460-2.mga3
+ Revision: 372034
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.102.460-1.mga1
+ Revision: 60714
- imported package perl-Pod-Weaver-PluginBundle-MARCEL


* Sat Feb 26 2011 cpan2dist 1.102460-1mga
- initial mageia release, generated with cpan2dist
